
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity TRISTATEBUFFER is
    Port ( 
           X  :  in  STD_LOGIC_VECTOR (7 downto 0);
			  
           nOE : in  STD_LOGIC;
			  
			  Y  : out  STD_LOGIC_VECTOR (7 downto 0)
			  );
end TRISTATEBUFFER;
 
architecture Behavioral of TRISTATEBUFFER is

begin
	Y <= X when nOE = '0' else "ZZZZZZZZ";

end Behavioral;

