
library IEEE;
use IEEE.STD_LOGIC_1164.ALL;


entity Reg8B is
    Port ( Res : in  STD_LOGIC;
           Clk : in  STD_LOGIC;
			  ACK : in  STD_LOGIC;
           D   : in  STD_LOGIC_VECTOR (7 downto 0);
           Q   : out  STD_LOGIC_VECTOR (7 downto 0));
end Reg8B;


architecture Behavioral of Reg8B is
begin
process ( Clk , Res )
begin
	if Res = '0' then
		Q <= ( others => '0' ) ;
	else
	   
		if FALLING_EDGE(CLK)  then
		  IF ACK = '0' THEN
			Q <= D ;
		  END IF;
		end if ;
		
	end if ;
end process ;
end Behavioral ;
